## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Class LockingSchemaType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.LockingSchemaType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class LockingSchemaType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Locking Schema Type', and utility methods for working with them.

See Also:
  `SybaseasesqlmodelPackage.getLockingSchemaType()`, Serialized Form

Field Summary
`static int` `LOCKALLPAGES` The 'LOCKALLPAGES' literal value.
`static LockingSchemaType` `LOCKALLPAGES_LITERAL` The 'LOCKALLPAGES' literal object.
`static int` `LOCKDATAPAGES` The 'LOCKDATAPAGES' literal value.
`static LockingSchemaType` `LOCKDATAPAGES_LITERAL` The 'LOCKDATAPAGES' literal object.
`static int` `LOCKDATAROWS` The 'LOCKDATAROWS' literal value.
`static LockingSchemaType` `LOCKDATAROWS_LITERAL` The 'LOCKDATAROWS' literal object.
`static int` `SERVERDEFAULT` The 'SERVERDEFAULT' literal value.
`static LockingSchemaType` `SERVERDEFAULT_LITERAL` The 'SERVERDEFAULT' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Locking Schema Type' enumerators.

Method Summary
`static LockingSchemaType` `get(int value)` Returns the 'Locking Schema Type' literal with the specified integer value.
`static LockingSchemaType` `get(java.lang.String literal)` Returns the 'Locking Schema Type' literal with the specified literal value.
`static LockingSchemaType` `getByName(java.lang.String name)` Returns the 'Locking Schema Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOCKDATAROWS

    public static final int LOCKDATAROWS

  The 'LOCKDATAROWS' literal value.

  If the meaning of 'LOCKDATAROWS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LOCKDATAROWS_LITERAL`, Constant Field Values

### LOCKDATAPAGES

    public static final int LOCKDATAPAGES

  The 'LOCKDATAPAGES' literal value.

  If the meaning of 'LOCKDATAPAGES' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LOCKDATAPAGES_LITERAL`, Constant Field Values

### LOCKALLPAGES

    public static final int LOCKALLPAGES

  The 'LOCKALLPAGES' literal value.

  If the meaning of 'LOCKALLPAGES' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LOCKALLPAGES_LITERAL`, Constant Field Values

### SERVERDEFAULT

    public static final int SERVERDEFAULT

  The 'SERVERDEFAULT' literal value.

  If the meaning of 'SERVERDEFAULT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SERVERDEFAULT_LITERAL`, Constant Field Values

### LOCKDATAROWS_LITERAL

    public static final LockingSchemaType LOCKDATAROWS_LITERAL

  The 'LOCKDATAROWS' literal object.

  See Also:
    `LOCKDATAROWS`

### LOCKDATAPAGES_LITERAL

    public static final LockingSchemaType LOCKDATAPAGES_LITERAL

  The 'LOCKDATAPAGES' literal object.

  See Also:
    `LOCKDATAPAGES`

### LOCKALLPAGES_LITERAL

    public static final LockingSchemaType LOCKALLPAGES_LITERAL

  The 'LOCKALLPAGES' literal object.

  See Also:
    `LOCKALLPAGES`

### SERVERDEFAULT_LITERAL

    public static final LockingSchemaType SERVERDEFAULT_LITERAL

  The 'SERVERDEFAULT' literal object.

  If the meaning of 'SERVERDEFAULT LITERAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SERVERDEFAULT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Locking Schema Type' enumerators.

Method Detail

### get

    public static LockingSchemaType get(java.lang.String literal)

  Returns the 'Locking Schema Type' literal with the specified literal value.

### getByName

    public static LockingSchemaType getByName(java.lang.String name)

  Returns the 'Locking Schema Type' literal with the specified name.

### get

    public static LockingSchemaType get(int value)

  Returns the 'Locking Schema Type' literal with the specified integer value.